*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body{
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

/* Título h1 da página */
main h1{
    font-family:'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    font-size: 3rem;
    color: #393b40;
    text-align: center;
    padding-top: 3vh;
}

/* background da página */
.background{
    background-color: #bcc5d6;
    height: 100vh;
    filter: saturate(120px);
}

/* css da estrutura principal da calculadora */
.calculator{
    background: #393b40;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    border-radius: 4px;
    padding:1vh 0.4vw 2vh 0.4vw;
   
}

/* div que envolve os botões da calculadora que utiliza css grid */
.calcButtons{
    display: grid;
    grid-gap: 0.8%;
    grid-template:repeat(5, 1fr)/ repeat(4, 1fr);

}

/* css dos botões */
.calculator button{
    cursor: pointer;
    border: none;
    background: #1b1d21;
    transition: background-color 0.2s ease;
    color: white;
    font-size: 2rem;
    padding: 1.3rem 2.6rem;   
}
.calculator button:hover{
    background-color: #80838a;
}

/* estilização exclusiva para expandir o botão de backspace */
.back-button{
    grid-column: span 2;
    font-size: 1.7rem  !important;
    padding: 1rem  !important;
}

/* estilização exclusiva do botão de cálculos */
.equal-button{
    grid-column: span 2;
    background-color: rgba(0, 0, 0, 0.36) !important;
    transition: background-color 0.2s ease;
}
.equal-button:hover{
    background-color: rgba(146, 180, 204, 0.36) !important;
}

/* css do visor da calculadora */
.calculator #result{
    width: 100%;
    background: transparent;
    color: white;
    border: none;
    padding: 1.5%;
    text-align: right;
    margin-bottom: 2%;
    font-size: 2.3rem;
    

}
